import { ClientProvider, ClientUtils } from "@scramjet/client-utils";
import { ManagerClient } from "@scramjet/manager-api-client";
import { MWRestAPI, MMRestAPI } from "@scramjet/types";
export declare class MiddlewareClient implements ClientProvider {
    apiBase: string;
    client: ClientUtils;
    constructor(apiBase: string, utils?: ClientUtils);
    getManagerClient(id: string, mutliManagerApiBase?: string): ManagerClient;
    getManagers(): Promise<MMRestAPI.GetManagersResponse>;
    getVersion(): Promise<MWRestAPI.GetVersionResponse>;
    getAuditStream(): Promise<ReadableStream<any>>;
    listAccessKeys(spaceId: string): Promise<MMRestAPI.GetAccessKeysResponse>;
    createAccessKey(spaceId: string, opts: {
        description?: string;
    }): Promise<any>;
    revokeAccessKey(spaceId: string, accessKey: string): Promise<any>;
}
